Stocks/Brands/{brand}
Update brand
Updates an existing brand by ID.
AuthorizationBearer <token>
In: header
Path Parameters
brandstring
name?string
Brand name
observations?string
Brand observations/notes
is_exclusive?boolean
Whether brand is exclusive
min_profit_margin?number
Minimum profit margin percentage (0-100)
Response Body
curl -X PATCH "https://og-tenant1.test:8003/api/v2/stocks/brands/string" \
-H "Content-Type: application/json" \
-d '{}'{
"data": {
"id": 0,
"name": "string",
"observations": "string",
"is_exclusive": true,
"min_profit_margin": 0,
"created_at": "2019-08-24T14:15:22Z",
"updated_at": "2019-08-24T14:15:22Z"
}
}{
"data": {
"code": "VALIDATION_FAILED",
"message": "The given data was invalid.",
"errors": {
"email": [
"The email field is required."
]
}
},
"meta": {
"trace_id": "9f86d081884c7d659a2feaa0c55ad01568f3a1c2b4d5e"
}
}{
"data": {
"code": "VALIDATION_FAILED",
"message": "The given data was invalid.",
"errors": {
"email": [
"The email field is required."
]
}
},
"meta": {
"trace_id": "9f86d081884c7d659a2feaa0c55ad01568f3a1c2b4d5e"
}
}{
"data": {
"code": "VALIDATION_FAILED",
"message": "The given data was invalid.",
"errors": {
"email": [
"The email field is required."
]
}
},
"meta": {
"trace_id": "9f86d081884c7d659a2feaa0c55ad01568f3a1c2b4d5e"
}
}{
"data": {
"code": "VALIDATION_FAILED",
"message": "The given data was invalid.",
"errors": {
"email": [
"The email field is required."
]
}
},
"meta": {
"trace_id": "9f86d081884c7d659a2feaa0c55ad01568f3a1c2b4d5e"
}
}